/**
 * 
 */


package gov.va.med.cds.audit;


/**
 * @author vhaislegberb
 * 
 */
public class LegacyReadAuditLog
    extends
        AbstractAuditLog
{
    private static final long serialVersionUID = 1L;


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.audit.AbstractAuditLog#getResponseLength(java.lang.String)
     */
    @Override
    protected int getResponseLength( String response )
    {
        if ( response != null )
        {
            String regex = "\r";
            String[] numLines = response.split( regex );

            return numLines.length;
        }

        return 0;
    }

}
